package com.ozs.entity.vo;

import com.ozs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;

/**
 * @author Administrator
 */
@Data
public class AlarmInfoVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 标识UUID
     */
    private String alarmId;
    /**
     * 当前报警里程,单位米
     */
    private Integer alarmMile;
    /**
     * 当前报警时间,时间戳，单位毫秒
     */
    private Long alarmTime;
    /**
     * 当前报警内容
     */
    private String alarmContent;
    /**
     * 报警病害类型
     */
    private Integer alarmType;
    /**
     * 当前报警级别
     */
    private Integer alarmLevel;
    /**
     * 行别(1上行2下行）
     */
    private String lineDirStr;

    /**
     * 报警是否解除 1已解除2未解除
     */
    private Integer isRelease;
    /**
     * 报警附件（集合）
     */
    private AlarmFilesVo[] alarmFiles;
}
